## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate versionize

Name:           rust-versionize
Version:        0.2.0
Release:        %autorelease
Summary:        Version tolerant serialization/deserialization framework

License:        Apache-2.0
URL:            https://crates.io/crates/versionize
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * exclude maintainer-only files from the package
Patch:          versionize-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A version tolerant serialization/deserialization framework.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/CONTRIBUTING.md
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/SECURITY-POLICY.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%ifarch %{ix86}
# * skip corrupt value tests on 32-bit targets (for using 64-bit usize values):
%cargo_test -- -- --exact --skip=primitives::tests::test_corrupted_{string,vec}_len
%else
%cargo_test
%endif
%endif

%changelog
## START: Generated by rpmautospec
* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Jan 09 2024 David Michael <fedora.dm0@gmail.com> - 0.2.0-1
- Update to version 0.2.0 (rhbz#2256483)

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Mar 28 2023 David Michael <fedora.dm0@gmail.com> - 0.1.10-2
- Skip 64-bit corruption tests on 32-bit targets

* Tue Mar 28 2023 David Michael <fedora.dm0@gmail.com> - 0.1.10-1
- Initial import. (fedora#2181030)
## END: Generated by rpmautospec
